/// <reference types="bn.js" />
/// <reference types="@solana/web3.js" />
import { AccountData } from '@cardinal/common';
export declare const useRewardDistributorData: () => import("react-query").UseQueryResult<AccountData<{
    stakePool: import("@solana/web3.js").PublicKey;
    bump: number;
    authority: import("@solana/web3.js").PublicKey;
    kind: number;
    rewardMint: import("@solana/web3.js").PublicKey;
    rewardAmount: import("bn.js");
    rewardDurationSeconds: import("bn.js");
    rewardsIssued: import("bn.js");
    maxSupply: import("bn.js") | null;
    defaultMultiplier: import("bn.js");
    multiplierDecimals: number;
}> | undefined, unknown>;
