import * as metaplex from '@metaplex-foundation/mpl-token-metadata';
import { AccountInfo, ParsedAccountData, PublicKey } from '@solana/web3.js';
import { TokenListData } from './useTokenList';
export declare type UserTokenData = {
    tokenAccount?: {
        pubkey: PublicKey;
        account: AccountInfo<ParsedAccountData>;
    };
    metaplexData?: {
        pubkey: PublicKey;
        data: metaplex.MetadataData;
    } | null;
    tokenListData?: TokenListData;
};
export declare const useUserTokenDatas: () => import("react-query").UseQueryResult<UserTokenData[], unknown>;
