import { AccountData } from '@cardinal/common';
import { StakePoolData } from '@cardinal/staking/dist/cjs/programs/stakePool';
import { StakePoolMetadata } from 'api/mapping';
export declare type StakePool = {
    stakePoolMetadata?: StakePoolMetadata;
    stakePoolData: AccountData<StakePoolData>;
};
export declare const useAllStakePools: () => import("react-query").UseQueryResult<{
    stakePoolsWithMetadata: StakePool[];
    stakePoolsWithoutMetadata: StakePool[];
} | undefined, unknown>;
