/// <reference types="bn.js" />
/// <reference types="@solana/web3.js" />
import { AccountData } from '@cardinal/common';
export declare const useStakePoolEntries: () => import("react-query").UseQueryResult<AccountData<{
    bump: number;
    pool: import("@solana/web3.js").PublicKey;
    amount: import("bn.js");
    originalMint: import("@solana/web3.js").PublicKey;
    originalMintClaimed: boolean;
    lastStaker: import("@solana/web3.js").PublicKey;
    lastStakedAt: import("bn.js");
    totalStakeSeconds: import("bn.js");
    stakeMintClaimed: boolean;
    kind: number;
    stakeMint: import("@solana/web3.js").PublicKey | null;
    cooldownStartSeconds: import("bn.js") | null;
}>[] | undefined, unknown>;
