import { PublicKey } from '@solana/web3.js';
export declare function getExpirationString(expiration: number, UTCSecondsNow: number): string;
export declare function shortPubKey(pubkey: PublicKey | string | null | undefined): string;
export declare function pubKeyUrl(pubkey: PublicKey | null | undefined, cluster: string): string;
export declare function metadataUrl(pubkey: PublicKey | null | undefined, cluster: string): string;
export declare function shortDateString(utc_seconds: number): string;
export declare function longDateString(utcSeconds: number): string;
export declare function secondstoDuration(durationSeconds: number): string;
export declare const withSleep: (fn: Function, sleep?: number) => Promise<void>;
/**
 *
 * @param {string} name
 * @returns {string|null}
 */
export declare function getQueryParam(url: string, name: string): string | null;
export declare const firstParam: (param: string | string[] | undefined) => string;
export declare const camelCase: (str: string) => string;
export declare const getMintsDetails: () => Promise<any>;
export declare const tryPublicKey: (publicKeyString: PublicKey | string | string[] | undefined | null) => PublicKey | null;
export declare function getLink(path: string, withParams?: boolean): string;
