/// <reference types="bn.js" />
/// <reference types="@solana/web3.js" />
import { AccountData } from '@cardinal/common';
export declare const useStakePoolData: () => import("react-query").UseQueryResult<AccountData<{
    identifier: import("bn.js");
    bump: number;
    authority: import("@solana/web3.js").PublicKey;
    requiresCreators: import("@solana/web3.js").PublicKey[];
    requiresCollections: import("@solana/web3.js").PublicKey[];
    requiresAuthorization: boolean;
    overlayText: string;
    imageUri: string;
    resetOnStake: boolean;
    totalStaked: number;
    cooldownSeconds: number | null;
    minStakeSeconds: number | null;
}> | undefined, unknown>;
